GETDISKBYNAME(3)

NAME
getdiskbyname - get disk description by its name

SYNOPSIS
#include <sys/types.h>
#include <sys/disktab.h>

struct disklabel *
getdiskbyname(name)
char *name;

DESCRIPTION
Getdiskbyname takes a disk name (e.g. rm03) and returns a structure describing its geometry information and the standard disk partition tables. Information obtained from the disktab(5) file has the following form:

SEE ALSO
disktab(5), disklabel(8)

BUGS
This routine is primarily used when the underlying disk driver does not support labels. The other use is for supplying default information to the disklabel(8) program.